Model Distillation projectを作成
curl --request PUT \
--url https://distillation.training.wandb.ai/v1/tasks/{alias} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project": "ticket-classifier",
"project_mode": "create",
"proxy_backend": "cloudflare",
"targets": [
{
"model_ref": "openai/gpt-5.6-sol",
"weight": 1,
"params_override": {}
}
]
}
'import requests
url = "https://distillation.training.wandb.ai/v1/tasks/{alias}"
payload = {
"project": "ticket-classifier",
"project_mode": "create",
"proxy_backend": "cloudflare",
"targets": [
{
"model_ref": "openai/gpt-5.6-sol",
"weight": 1,
"params_override": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project: 'ticket-classifier',
project_mode: 'create',
proxy_backend: 'cloudflare',
targets: [{model_ref: 'openai/gpt-5.6-sol', weight: 1, params_override: {}}]
})
};
fetch('https://distillation.training.wandb.ai/v1/tasks/{alias}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity": "<string>",
"project": "<string>",
"alias": "<string>",
"proxy_backend": "cloudflare",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"versions": [
{
"version": 2,
"created_at": "2023-11-07T05:31:56Z",
"routing": {
"targets": [
{
"model_ref": "openai/gpt-5.6-sol",
"weight": 1,
"params_override": {
"temperature": 0
}
}
]
},
"deployment": {
"proxy_backend": "<string>",
"status": "pending",
"applied_revision": 123,
"external_ref": "<string>",
"last_error": "<string>"
}
}
]
}{
"error": {
"message": "Task 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}Model Distillation project を作成する
projectのバージョン1を作成し、必要な初期ルーティング設定をパブリッシュします。新しいW&B プロジェクトの場合はproject_modeをcreateに、アクセス可能な既存のprojectの場合はimportに設定します。各W&B プロジェクトは、entityごとに1つのModel Distillation projectにのみ属することができます。パスエイリアスは、クライアントが推論リクエストで送信するプロキシモデル名であり、プロジェクト名とは異なる場合があります。
PUT
/
tasks
/
{alias}
Model Distillation projectを作成
承認
W&B APIキー。
ヘッダー
アクセス可能な個人またはチーム entity。省略すると、認証済みユーザーのデフォルトの entity を使用します。
パスパラメータ
Pattern:
^[a-z0-9-]{1,64}$ボディ
application/json
このModel Distillation projectが所有する唯一のW&B プロジェクト。
Required string length:
1 - 128新しいW&B プロジェクトを作成するか、アクセス可能な既存のW&B プロジェクトをインポートします。
利用可能なオプション:
create, import 初期ルーティング設定。新しいタスクでは、トラフィックを少なくとも1つのモデルにルーティングする必要があります。
Minimum array length:
1Show child attributes
Show child attributes
利用可能なオプション:
cloudflare, local 必須範囲:
0 <= x <= 1最終更新日 2026年9月30日
このページは役に立ちましたか?